
# location of GLUT .h and .a files
GLUTINC = ../../../../GLUT/GL/
GLUTLIB = ../../../../GLUT/lib/glut/

# location of GLE .h and .a files
GLEINC= ../../include
GLELIB= ../../lib

# location of Mesa .h and .a files
GLINC= ../../../../include
GLLIB= ../../../../lib


CC = cc
CFLAGS = -I. -I$(GLUTINC)  -I$(GLEINC) -I$(GLINC)
LFLAGS = -L $(GLUTLIB) -L $(GLELIB) -L $(GLLIB)
LIBS = -lgle -lmatrix -lglut -lMesaGLU -lMesaGL -lXmu -lX11 -lXext -lm

all:	joinstyle joinoffset

.c.o:
	$(CC) -c $< $(CFLAGS)

joinstyle:	joinstyle.o
	$(CC) joinstyle.o -o joinstyle $(LFLAGS) $(LIBS)

joinoffset:	joinoffset.o
	$(CC) joinoffset.o -o joinoffset $(LFLAGS) $(LIBS)

clean:
	-rm -f *.o core junk tmp a.out

realclean:	clean
	-rm -f joinstyle joinoffset
